package com.eactive.eai.transformer.engine;

public class TransformWarning {
    private String warningCode;
    private String warningInfo;
    private Throwable cause;

    public TransformWarning(String warningCode, String warningInfo) {
        this(warningCode, warningInfo, null);
    }

    public TransformWarning(String warningCode, String warningInfo,
        Throwable cause) {
        this.warningCode = warningCode;
        this.warningInfo = warningInfo;
        this.cause = cause;
    }

    public String getWarningCode() {
        return warningCode;
    }

    public String getWarningInfo() {
        return warningInfo;
    }

    public Throwable getCause() {
        return cause;
    }
}
